RewriteEngine On

# If the requested file or directory exists, serve it directly
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d

# Internally rewrite all requests to the public folder
RewriteRule ^(.*)$ public/$1 [L]

# Force HTTPS + www for /wstr
RewriteCond %{HTTPS} !=on [OR]
RewriteCond %{HTTP_HOST} !^www\.phillybyfoot\.com$ [NC]
RewriteRule ^wstr/?(.*)$ https://www.phillybyfoot.com/wstr/$1 [R=301,L]